apiVersion: dapr.io/v1alpha1
kind: Component
metadata:
  name: azure-keyvault
spec:
  type: secretstores.azure.keyvault
  version: v1
  metadata:
  - name: vaultName
    value: atlantisvault
  - name: azureTenantId
    secretKeyRef:
      name: azure-keyvault
      key: AZURE_TENANT_ID
  - name: azureClientId
    secretKeyRef:
      name: azure-keyvault
      key: AZURE_CLIENT_ID
  - name: azureClientSecret
    secretKeyRef:
      name: azure-keyvault
      key: AZURE_CLIENT_SECRET
